#!/bin/sh

cd "${MESON_SOURCE_ROOT}"

mkdir -p builds/linux
meson builds/linux
cd builds/linux
ninja
cd ..

mkdir -p builds/win32
meson --cross-file=meson_cross_win32.txt builds/win32
cd builds/win32
ninja
cd ..

mkdir -p builds/win64
meson --cross-file=meson_cross_win64.txt builds/win64
cd builds/win64
ninja
